---
title: "assertEqual"
excerpt: "Check that a numerical value equals another at runtime,"
layout: manual
---

Check that a numerical value equals another at runtime,

otherwise raise an error.

```js
assertEqual(left: number, right: number, epsilon: number, message: string) -> ()
```

### Examples

```js
let n = 1.0285
let o = 1.0286
assertEqual(n, o, 0.01, "n is within the given tolerance for o")
```

![Rendered example of assertEqual 0](data:image/png;base64,[encoded data, 26336 characters])

### Arguments

* `left`: `number` (REQUIRED)
* `right`: `number` (REQUIRED)
* `epsilon`: `number` (REQUIRED)
* `message`: `string` (REQUIRED)

### Returns

`()`



